/** @type { import('@storybook/react').Preview } */
import "../app/globals.css";
import { useDarkMode } from "storybook-dark-mode";
import "@fortawesome/fontawesome-svg-core/styles.css"; // Import the CSS
import { library } from "@fortawesome/fontawesome-svg-core";
import { faNewspaper } from "@fortawesome/free-solid-svg-icons";

library.add(faNewspaper);

const preview = {
  parameters: {
    actions: { argTypesRegex: "^on[A-Z].*" },
    controls: {
      matchers: {
        color: /(background|color)$/i,
        date: /Date$/i,
      },
    },
    darkMode: {
      classTarget: "html",
      darkClass: "dark",
      lightClass: "light",
      stylePreview: true,
    },
  },
};

export const decorators = [
  (Story) => {
    return <Story themeMode={useDarkMode()} />;
  },
];

export default preview;
