import styles from "./header.module.css";
import Search from "../search/page";
import Icon from "../icons/page";
import { useState } from "react";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome"; // Correct

function Header({ onThemeChange, onSearch, onClose }) {
  const [theme, setTheme] = useState("light");

  const handleTheme = () => {
    theme == "light" ? setTheme("dark") : setTheme("light");
    onThemeChange(theme);
  };
  const handleSearch = (value) => {
    onSearch(value);
  };
  const handleClose = () => {
    onClose("");
  };
  return (
    <header className={styles.header}>
      <div className={styles.container}>
        <nav className={styles.navbar}>
          <a className={styles["navbar-brand"]} href="/">
            {/* <FontAwesomeIcon
              icon="fa fa-newspaper"
              style={{ fontSize: "30px", color: "#5a67d8" }}
            /> */}
            <Icon name="newspaper" />
            <h2>NewsBlog</h2>
          </a>

          <div className={styles.search}>
            <Search onSearch={handleSearch} onClose={handleClose} />
          </div>

          <div onClick={handleTheme} className={styles.themelight}>
            <Icon name={theme == "dark" ? "moon" : "sun"} />
            <span className={styles.mobilemenu}>
              <Icon name="hamburger" />
            </span>
          </div>
        </nav>
      </div>
    </header>
  );
}

export default Header;
