import styles from "./search.module.css";
import Icon from "../icons/page";
import { useState, useEffect } from "react";

const Search = ({ onSearch, onClose }) => {
  const [debouncetitle, setDebounceTitle] = useState("");
  useEffect(() => {
    //after 2 second it will execute
    const handler = setTimeout(() => {
      if (debouncetitle !== "") {
        onSearch(debouncetitle);
      }
    }, 2000);

    return () => {
      clearTimeout(handler);
    };
  }, [debouncetitle]);
  const handleSearch = (value) => {
    setDebounceTitle(value);
  };
  const handleCustomClear = (e) => {
    e.preventDefault();
    onClose("");
    setDebounceTitle("");
  };

  return (
    <div className={styles["search-input"]}>
      <span className={`${styles["search-icon"]}`}>
        <Icon name="search" />
      </span>
      <input
        className={styles.search}
        type="text"
        autoFocus={true}
        value={debouncetitle}
        onChange={(e) => handleSearch(e.target.value)}
        placeholder="Discover news, articles and more"
      />
      {debouncetitle && (
        <span className={`${styles["close-icon"]}`} onClick={handleCustomClear}>
          <Icon name="close" />
        </span>
      )}
    </div>
  );
};

export default Search;
