import Image from "next/image";
import styles from "./single-blog.module.css";
import ReactMarkdown from "react-markdown";
import remarkGfm from "remark-gfm";
function SingleBlog({
  subTitle,
  postedOn,
  authorName,
  publishedIn,
  readTime,
  blogImg,
  tags,
  markdown,
}) {
  return (
    <>
      <div className={styles["head-container"]}>
        <div className={styles.headtitle}>
          <h1 className={styles.title}>{subTitle}</h1>
        </div>
        <div className={styles["blog-list"]}>
          <ul>
            <li>
              Posted on <span className={styles["list-bold"]}>{postedOn}</span>
            </li>
            <li>
              By&nbsp;
              <a href="#" className={styles["list-bold"]}>
                {authorName}
              </a>
            </li>
            <li>
              Published in&nbsp;
              <a href="#" className={styles["list-bold"]}>
                {publishedIn}
              </a>
            </li>
            <li>
              <a href="#" className={styles["list-bold"]}>
                {readTime}
              </a>
            </li>
          </ul>
        </div>
      </div>
      <div className={styles["blog-container"]}>
        <div className={styles.blogimage}>
          <Image
            className={styles.img}
            src={blogImg}
            quality={100}
            alt="image"
          />
        </div>
        <div className={styles["blog-content"]}>
          <ReactMarkdown remarkPlugins={[remarkGfm]}>{markdown}</ReactMarkdown>
          <div className={styles.tag}>
            <h3>Tag:</h3>
            {tags.map((e, i) => (
              <p key={i}>{e}</p>
            ))}
          </div>
        </div>
      </div>
    </>
  );
}

export default SingleBlog;
